.menu-button {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 5px;
    width: 42px;
    height: 42px;
    padding: 8px;
    background: transparent;
    border: 1px solid var(--headerBorder);
    border-radius: 8px;
    cursor: pointer;
}

.menu-button span {
    display: block;
    width: 100%;
    height: 2px;
    background-color: var(--button-WE-BG);
    border-radius: 2px;
}

.main-menu {
    position: absolute;
    top: 100%;
    right: 20px;
    min-width: 220px;
    padding: 8px;
    background-color: var(--headerBackground);
    border: 1px solid var(--headerBorder);
	border-bottom-right-radius: 8px;
    border-bottom-left-radius: 8px;
    z-index: 2000;
}

.main-menu a {
    display: block;
    padding: 10px 12px;
    color: var(--menueTitle);
    text-decoration: none;
    border-radius: 5px;
}

.main-menu a:hover {
    background-color: var(--headerBorder);
}